/*
 *    Copyright (c) 2008-2011 Graham Allan
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */

package org.mutabilitydetector.cli;

/**
 * Used when the list of classes to to be reported on cannot be created.
 */
public class ClassListException extends RuntimeException {

    private static final long serialVersionUID = -2085270386267385221L;

    public ClassListException() {
        super();
    }

    public ClassListException(String message, Throwable cause) {
        super(message, cause);
    }

    public ClassListException(String message) {
        super(message);
    }

    public ClassListException(Throwable cause) {
        super(cause);
    }

}
